`dbdicom` is a Pythonic interface for reading and writing DICOM databases.

# Installation

`pip install dbdicom`

# Documentation

For more detail, see the current [dbdicom documentation](https://qib-sheffield.github.io/dbdicom/).

# Ambition

The DICOM format is the universally recognised standard for medical imaging, 
but working with DICOM data remains a challenging task for data scientists. 

``dbdicom`` aims to provide an intuitive programming interface for reading and 
writing DICOM databases - replacing unfamiliar DICOM-native concepts by 
pythonic language and syntax. 

# Disclaimer

`dbdicom` is developed in public and currently trialled in ongoing 
multi-centre clinical studies 
[iBEAt](https://bmcnephrol.biomedcentral.com/articles/10.1186/s12882-020-01901-x>) 
and [AFiRM](https://www.uhdb.nhs.uk/afirm-study/). However, ``dbdicom`` is 
work in progress and **not yet sufficiently stable for wider use**. Current 
dissemination activities, such as on the 
[ISMRM (Toronto 2023)](https://www.ismrm.org/23m/), are limited in scope and 
intended to get early feedback from the community. 






